/**
 * @author acvetkov@yandex-team.ru
 * @overview
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.create = create;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _apiConfigJs = require('../api/config.js');

var _apiConfigJs2 = _interopRequireDefault(_apiConfigJs);

var _chromeIndex = require('../chrome/index');

var _factoryEvents = require('../factory/events');

var _factoryEvents2 = _interopRequireDefault(_factoryEvents);

var _factoryStubs = require('../factory/stubs');

var _factoryStubs2 = _interopRequireDefault(_factoryStubs);

var _factoryProperty = require('../factory/property');

var _factoryProperty2 = _interopRequireDefault(_factoryProperty);

/**
 * Create chrome api mock
 * @returns {Object}
 */

function create() {
  return _lodash2['default'].assign((0, _chromeIndex.generateApi)(_apiConfigJs2['default']), ChromeManager);
}

var ChromeManager = {

  /**
   * Reset mack data
   */
  reset: function reset() {
    _factoryEvents2['default'].reset();
    _factoryStubs2['default'].reset();
  },

  /**
   * Reset mock data and behaviour
   */
  flush: function flush() {
    _factoryEvents2['default'].flush();
    _factoryStubs2['default'].flush();
    _factoryProperty2['default'].flush();
  }
};