/**
 * @author acvetkov@yandex-team.ru
 * @overview
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _events = require('./events');

var _events2 = _interopRequireDefault(_events);

var _stubs = require('./stubs');

var _stubs2 = _interopRequireDefault(_stubs);

exports['default'] = {

    stubCache: {},
    eventsCache: {},

    /**
     * Get stub value
     * @param namespace
     * @param method
     * @returns {sinon.stub}
     */
    getStub: function getStub(namespace, method) {
        var key = namespace + '.' + method;
        if (!(key in this.stubCache)) {
            this.stubCache[key] = _stubs2['default'].stub;
        }
        return this.stubCache[key];
    },

    /**
     * Get chrome event
     * @param {String} namespace
     * @param {String} event
     */
    getEvent: function getEvent(namespace, event) {
        var key = namespace + '.' + event;
        if (!(key in this.eventsCache)) {
            this.eventsCache[key] = _events2['default'].get();
        }
        return this.eventsCache[key];
    }
};
module.exports = exports['default'];