/**
 * @author acvetkov@yandex-team.ru
 * @overview
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _sinon = require('sinon');

var _sinon2 = _interopRequireDefault(_sinon);

var _eventsIndex = require('../events/index');

var _eventsIndex2 = _interopRequireDefault(_eventsIndex);

exports['default'] = {

    events: [],
    sandbox: _sinon2['default'].sandbox.create(),

    /**
     * @returns {ChromeEvent}
     */
    get: function get() {
        var event = createEvent(this.sandbox);
        this.events.push(event);
        return event;
    },

    /**
     * Remove all listeners
     */
    reset: function reset() {
        this.sandbox.reset();
        this.events.forEach(function (event) {
            event.removeListeners();
        });
    },

    /**
     * Drop listeners
     */
    flush: function flush() {
        this.reset();
    }
};

/**
 * Create event
 * @param {sinon} sandbox
 */
function createEvent(sandbox) {
    var event = new _eventsIndex2['default']();
    sandbox.spy(event, 'addListener');
    sandbox.spy(event, 'hasListener');
    sandbox.spy(event, 'removeListener');
    sandbox.spy(event, 'removeListeners');
    return event;
}
module.exports = exports['default'];