/**
 * @author acvetkov@yandex-team.ru
 * @overview
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

exports['default'] = {

    props: [],

    /**
     * Cache property
     * @param {Object} object
     * @param {String} namespace
     * @param {String} property
     */
    cache: function cache(object, namespace, property) {
        this.props.push({ object: object, namespace: namespace, property: property });
    },

    /**
     * Flush property value
     */
    flush: function flush() {
        this.props.forEach(function (prop) {
            _lodash2['default'].set(prop.object, prop.namespace + '.' + prop.property, undefined);
        });
    }
};
module.exports = exports['default'];