/**
 * @author acvetkov@yandex-team.ru
 * @overview
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _sinon = require('sinon');

var _sinon2 = _interopRequireDefault(_sinon);

exports['default'] = Object.defineProperties({

    stubs: [],

    /**
     * Reset all stubs
     */
    reset: function reset() {
        this.stubs.forEach(function (stub) {
            stub.reset();
        });
    },

    /**
     * Reset stubs data and behaviour
     */
    flush: function flush() {
        this.stubs.forEach(function (stub) {
            stub.reset();
            stub.resetBehavior();
        });
    }
}, {
    stub: { /**
             * Get stub instance
             * @returns {sinon.stub}
             */

        get: function get() {
            var stub = _sinon2['default'].stub();
            this.stubs.push(stub);
            return stub;
        },
        configurable: true,
        enumerable: true
    }
});
module.exports = exports['default'];